---
name: Brandon Greenwell
locality:
country: Remote
role: <a href="/job-families/sales/strategic-account-leader/">Strategic Account Leader</a>
reports_to: tanyahelin
picture: Brandon_Greenwell.jpeg
twitter: BrandonGreenwe5
gitlab: bgreenwell
departments:
- Sales
- Sales NQR
story: 'Brandon has a wealth of experience throughout all stages of the sales process
  and enjoys the challenge and satisfaction of helping to identify and solve his customers
  most urgent business needs. Brandon is married and has two beautiful little girls,
  Lily and Lucy. He spends the majority of his free time boating, camping and playing
  guitar.

  '

